curl https://api.artificialstudio.ai/api/tools \
-H "Authorization: YOUR_API_KEY"
{
"data": [
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://..."
},
{
"slug": "create-video",
"name": "Create Video",
"description": "Create videos from text or images",
"type": "video",
"outputType": "video",
"thumbnail": "https://..."
}
]
}
Retrieve all available AI tools for image, video, audio, and 3D generation.
curl https://api.artificialstudio.ai/api/tools \
-H "Authorization: YOUR_API_KEY"
{
"data": [
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://..."
},
{
"slug": "create-video",
"name": "Create Video",
"description": "Create videos from text or images",
"type": "video",
"outputType": "video",
"thumbnail": "https://..."
}
]
}
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
| Field | Type | Description |
|---|---|---|
data | array | List of tools |
data[].slug | string | Tool identifier (use in /api/run) |
data[].name | string | Display name |
data[].description | string | Tool description |
data[].type | string | Tool category |
data[].outputType | string | Output media type: image, video, audio, text, object |
data[].thumbnail | string | Tool thumbnail URL |
curl https://api.artificialstudio.ai/api/tools \
-H "Authorization: YOUR_API_KEY"
{
"data": [
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://..."
},
{
"slug": "create-video",
"name": "Create Video",
"description": "Create videos from text or images",
"type": "video",
"outputType": "video",
"thumbnail": "https://..."
}
]
}